# Uses of Interface
java.util.Spliterator.OfInt

Packages that use Spliterator.OfInt
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of Spliterator.OfInt in java.util

Classes in java.util that implement Spliterator.OfInt
Modifier and Type
Class
Description
`static class`
`Spliterators.AbstractIntSpliterator`
An abstract `Spliterator.OfInt` that implements `trySplit` to permit limited parallelism.
Subinterfaces with type arguments of type Spliterator.OfInt in java.util
Modifier and Type
Interface
Description
`static interface`
`Spliterator.OfInt`
A Spliterator specialized for `int` values.
Methods in java.util that return Spliterator.OfInt
Modifier and Type
Method
Description
`static Spliterator.OfInt`
Spliterators.`emptyIntSpliterator()`
Creates an empty `Spliterator.OfInt`
`static Spliterator.OfInt`
Arrays.`spliterator(int[] array)`
Returns a `Spliterator.OfInt` covering all of the specified array.
`static Spliterator.OfInt`
Arrays.`spliterator(int[] array, int startInclusive, int endExclusive)`
Returns a `Spliterator.OfInt` covering the specified range of the specified array.
`static Spliterator.OfInt`
Spliterators.`spliterator(int[] array, int additionalCharacteristics)`
Creates a `Spliterator.OfInt` covering the elements of a given array, using a customized set of spliterator characteristics.
`static Spliterator.OfInt`
Spliterators.`spliterator(int[] array, int fromIndex, int toIndex, int additionalCharacteristics)`
Creates a `Spliterator.OfInt` covering a range of elements of a given array, using a customized set of spliterator characteristics.
`static Spliterator.OfInt`
Spliterators.`spliterator(PrimitiveIterator.OfInt iterator, long size, int characteristics)`
Creates a `Spliterator.OfInt` using a given `IntStream.IntIterator` as the source of elements, and with a given initially reported size.
`static Spliterator.OfInt`
Spliterators.`spliteratorUnknownSize(PrimitiveIterator.OfInt iterator, int characteristics)`
Creates a `Spliterator.OfInt` using a given `IntStream.IntIterator` as the source of elements, with no initial size estimate.
`Spliterator.OfInt`
Spliterators.AbstractIntSpliterator.`trySplit()`
If this spliterator can be partitioned, returns a Spliterator covering elements, that will, upon return from this method, not be covered by this Spliterator.
Methods in java.util with parameters of type Spliterator.OfInt
Modifier and Type
Method
Description
`static PrimitiveIterator.OfInt`
Spliterators.`iterator(Spliterator.OfInt spliterator)`
Creates an `PrimitiveIterator.OfInt` from a `Spliterator.OfInt`.

## Uses of Spliterator.OfInt in java.util.stream

Methods in java.util.stream with parameters of type Spliterator.OfInt
Modifier and Type
Method
Description
`static IntStream`
StreamSupport.`intStream(Spliterator.OfInt spliterator, boolean parallel)`
Creates a new sequential or parallel `IntStream` from a `Spliterator.OfInt`.
Method parameters in java.util.stream with type arguments of type Spliterator.OfInt
Modifier and Type
Method
Description
`static IntStream`
StreamSupport.`intStream(Supplier<? extends Spliterator.OfInt> supplier, int characteristics, boolean parallel)`
Creates a new sequential or parallel `IntStream` from a `Supplier` of `Spliterator.OfInt`.